package utils

import (
	dto "github.com/timetracker/backend/internal/dtos"
)

// This file contains type definitions for Swagger documentation

// LoginRequest is a Swagger representation of LoginDto
type LoginRequest struct {
	Email    string `json:"email" example:"user@example.com"`
	Password string `json:"password" example:"SecurePassword123!"`
}

// TokenResponse is a Swagger representation of TokenDto
type TokenResponse struct {
	Token string      `json:"token" example:"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."`
	User  dto.UserDto `json:"user"`
}
