package dto

import (
	"time"
)

type UserDto struct {
	ID           string    `json:"id"`
	CreatedAt    time.Time `json:"createdAt"`
	UpdatedAt    time.Time `json:"updatedAt"`
	LastEditorID string    `json:"lastEditorID"`
	Email        string    `json:"email"`
	Role         string    `json:"role"`
	CompanyID    string    `json:"companyId"`
	HourlyRate   float64   `json:"hourlyRate"`
}

type UserCreateDto struct {
	Email      string  `json:"email"`
	Password   string  `json:"password"`
	Role       string  `json:"role"`
	CompanyID  string  `json:"companyId"`
	HourlyRate float64 `json:"hourlyRate"`
}

type UserUpdateDto struct {
	ID           string     `json:"id"`
	CreatedAt    *time.Time `json:"createdAt"`
	UpdatedAt    *time.Time `json:"updatedAt"`
	LastEditorID *string    `json:"lastEditorID"`
	Email        *string    `json:"email"`
	Password     *string    `json:"password"`
	Role         *string    `json:"role"`
	CompanyID    *string    `json:"companyId"`
	HourlyRate   *float64   `json:"hourlyRate"`
}
